Package Details: deemix-git r527.94f3bc95c3-1

Git Clone URL: https://aur.archlinux.org/deemix-git.git (read-only, click to copy)
Package Base: deemix-git
Description: a deezer downloader built from the ashes of Deezloader Remix.
Upstream URL: https://git.rip/RemixDev/deemix
Keywords: cli deezer download music
Licenses: GPL3
Conflicts: deemix
Provides: deemix
Submitter: nomis6432
Maintainer: nomis6432 (remixdev)
Last Packager: remixdev
Votes: 6
Popularity: 0.83
First Submitted: 2020-05-28 12:19
Last Updated: 2020-11-20 11:00

Latest Comments

1 2 Next › Last »

Akrai commented on 2020-12-19 19:40

As deemix is not compatible with python>=3.9 I would add it to the dependencies to get it clear

artivision commented on 2020-12-19 05:20

Traceback (most recent call last): File "/usr/bin/deemix", line 33, in <module> sys.exit(load_entry_point('deemix==2.0.5', 'console_scripts', 'deemix')()) File "/usr/bin/deemix", line 25, in importlib_load_entry_point return next(matches).load() File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load module = import_module(match.group('module')) File "/usr/lib/python3.9/importlib/init.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1030, in _gcd_import File "<frozen importlib._bootstrap>", line 1007, in _find_and_load File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 680, in _load_unlocked File "<frozen importlib._bootstrap_external>", line 790, in exec_module File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed File "/usr/lib/python3.9/site-packages/deemix/main.py", line 4, in <module> from deemix.app.cli import cli File "/usr/lib/python3.9/site-packages/deemix/app/init.py", line 1, in <module> from deezer import Deezer ModuleNotFoundError: No module named 'deezer'

SMF67 commented on 2020-11-24 06:12

Hello. It seems the upstream git repo URL is no longer available. Is there a new one?

Edit: It appears to be working now

Akrai commented on 2020-11-20 18:23

Hmm, i don't know, my up to date system works, so maybe is related to some user config you may have, you can try with another user, or try in a guest account https://aur.archlinux.org/packages/systemd-guest-user/ (just install and you should have available the guest account in your login screen, maybe add this user to some needed groups too)

ogghi commented on 2020-11-20 18:21

It was indeed on the ignore list. Upgraded, still the error persists!

Akrai commented on 2020-11-20 18:17

No, it doesn't matter, but i see your python-dnspython is different than mine, if you have added that package to IgnorePkg remove it from there, as the official one has been downgraded; and after that, update all your system and both deemix-git and deemix-pyweb-git, and try again

ogghi commented on 2020-11-20 18:15

Archlinux (installed once with anarchy for easy install though, but should not matter?) I am on LTS Kernel, in case it could matter for some reason?

Akrai commented on 2020-11-20 18:12

are you using archlinux or another distro?

ogghi commented on 2020-11-20 18:09

This:

Name : python-dnspython Version : 1.16.0-3 Description : A DNS toolkit for Python Architecture : any URL : http://www.dnspython.org Licenses : ISC Groups : None Provides : None Depends On : python Optional Deps : python-ecdsa: DNSSEC support python-pycryptodome: DNSSEC support python-idna: support for updated IDNA 2008 [installed] Required By : python-eventlet Optional For : python-eventlet smbclient Conflicts With : None Replaces : None Installed Size : 1306.92 KiB Packager : Felix Yan felixonmars@archlinux.org Build Date : Thu 31 Oct 2019 06:11:47 PM CET Install Date : Sun 18 Oct 2020 10:06:47 PM CEST Install Reason : Installed as a dependency for another package Install Script : No Validated By : Signature

Akrai commented on 2020-11-20 18:07

no

what's the output of pacman -Qi python-dnspython ?